# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
BuildRequires: python-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: dtrx
Version: 7.1        
Release: alt2_13
Summary: Intelligent archive extractor

Group: Archiving/Other
License: GPLv3+
URL: http://brettcsmith.org/2007/dtrx/
Source0: http://brettcsmith.org/2007/dtrx/%{name}-%{version}.tar.gz

BuildArch: noarch
#The following packages are needed for check section
BuildRequires:  xz,ncompress,cabextract,p7zip,libunshield,dpkg,python-module-yaml
BuildRequires:  %{__python}

# The following packages are the backend tools for dtrx
Requires: bzip2
Requires: cpio
Requires: gzip gzip-utils
Requires: tar
Requires: xz
Requires: ncompress
Requires: cabextract
Requires: xz
Requires: p7zip
Requires: libunshield
Requires: dpkg
Requires: unzip
Source44: import.info

%description
dtrx extracts archives in a number of different formats; it currently
supports tar, zip (including self-extracting .exe files), cpio, rpm, deb,
gem, 7z, cab, rar (if unrar is installed), lhz (if lha is installed), 
and InstallShield files.
It can also decompress files compressed with gzip, bzip2, lzma, xz,or compress.

In addition to providing one command to handle many different archive
types, dtrx also aids the user by extracting contents consistently.  By
default, everything will be written to a dedicated directory that's named
after the archive.  dtrx will also change the permissions to ensure that the
owner can read and write all those files.

%prep
%setup -q


%build

%install
%{__python} setup.py install --prefix=%{buildroot}/%{_prefix} 

%check
%{__python} tests/compare.py

%files
%{_bindir}/dtrx
%{python_sitelibdir_noarch}/*
%doc NEWS README
%doc --no-dereference COPYING


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 7.1-alt2_13
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 7.1-alt2_12
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 7.1-alt2_11
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 7.1-alt2_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 7.1-alt2_8
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 7.1-alt2_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 7.1-alt2_6
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 7.1-alt2_5
- update to new release by fcimport

* Wed Mar 20 2013 Cronbuild Service <cronbuild@altlinux.org> 7.1-alt2_4
- rebuild to get rid of unmets

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 7.1-alt1_4
- update to new release by fcimport

* Fri Dec 21 2012 Igor Vlasenko <viy@altlinux.ru> 7.1-alt1_3
- fc import

